# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/xenial64"

  config.vm.define "machine1"
  config.vm.network "forwarded_port", guest: 80, host: 8000
  config.vm.network "forwarded_port", guest: 443, host: 8443
  config.vm.network "forwarded_port", guest: 8080, host: 8080
  config.vm.network "forwarded_port", guest: 8989, host: 8989
  config.vm.network "forwarded_port", guest: 9000, host: 9000

  config.vm.provision "ansible" do |ansible|
    ansible.playbook = "provision_docker_compose.yml"
    ansible.groups = {
      "new_servers" => ["machine1"]
      #"new_servers:vars" => {"ansible_user" => "vagrant" }
    }
  end

end
